 /****************************************************************************
 Module
         ServoControl.h

 Revision
         1.0.1
         
 Description
         Header File for the Servo Control Module. Drives X & Y aiming, and
         board spin.

 Notes


 History
 When           Who	What/Why
 -------------- ---	--------
 11/13/11 15:48 bdg  Initial Creation

****************************************************************************/

#ifndef ServoControl_H
#define ServoControl_H

void AimGunX(unsigned int sensedXValue);
void AimGunY(unsigned int sensedYValue);
void SpinBoard(unsigned int sensedPotvalue);

#define scaleAimX    50
#define centerAimX   512

#define scaleAimY    50
#define centerAimY   512

#define scaleSpin    50
#define centerSpin   512

#define CENTER_WIDTH 1500
#define DENOMINATOR  52

#define BOARD_SERVO_PIN 0
#define AIM_X_SERVO_PIN 1
#define AIM_Y_SERVO_PIN 2
  
// PRIVATE FUNCTIONS
//static unsigned int ServoConvert(unsigned int sensedValue, signed int scaleValue, signed int centerValue);

#endif