/****************************************************************************
 Module
         TicTacPinDefs.h

 Revision
         1.0.1
         
 Description
         Header File for the ME218 Tic Tac Doh Module. Define pin locations

 Notes


 History
 When           Who	What/Why
 -------------- ---	--------
 11/13/11 11:48 bdg  Initial Cration

****************************************************************************/

#ifndef TicTacPinDefs_H
#define TicTacPinDefs_H

#include "bitdefs.h"

//Port T
#define BoardMtrPin     BIT0HI   //T0  OUTPUT
#define ServoXPin       BIT1HI   //T1  OUTPUT
#define ServoYPin       BIT2HI   //T2  OUTPUT
#define PagerMtrPin     BIT3HI   //T3  OUTPUT
//#define   BLANK       BIT4HI   //T4



//Port M
#define Player1Button   BIT0LO   //M0  INPUT
#define Player2Button   BIT1LO   //M1  INPUT


//Shift Register Ports
#define SHIFT_SC        BIT5HI   //M5  OUTPUT - Shift Clock for 165/595
#define PhotoTrans_RC   BIT7HI   //M2	OUTPUT - Register Clock 165
#define PhotoTrans_Data BIT5LO   //T5  INPUT
#define LED_RC          BIT4HI   //M4  OUTPUT - Register Clock 595
#define LED_Data        BIT2HI   //M3  OUTPUT - Serial Out to LED Timers/Squares 595


// Port AD  ------------------ This may need to be changed to LO for input
#define Player1AccX     BIT0HI   //AD0 A/D INPUT
#define Player1AccY     BIT1HI   //AD1 A/D INPUT
#define Player1AccZ     BIT2HI   //AD2 A/D INPUT
#define Player1Pot      BIT3HI   //AD3 A/D INPUT
#define Player2AccX     BIT4HI   //AD4 A/D INPUT
#define Player2AccY     BIT5HI   //AD5 A/D INPUT
#define Player2AccZ     BIT6HI   //AD6 A/D INPUT
#define Player2Pot      BIT7HI   //AD7 A/D INPUT

// Port E
//#define BLANK         BIT0HI   //E0
//#define BLANK         BIT1HI   //E1

#endif