//#define TEST
/* test function for project */
#include <stdio.h>
#include <ME218_C32.h>
#include "misc.h"
#include "ADS12.h"
#include "ServoControl.h"
#include "ServoLib.h"

#ifdef TEST
/* test Harness for testing this module */
void main(void);
static boolean ADCInitTest(void);
static short checkAccelX1Test(void);
static short checkAccelY1Test(void);
static short checkAccelZ1Test(void);
static short checkPot1Test(void);
static short checkAccelX2Test(void);
static short checkAccelY2Test(void);
static short checkAccelZ2Test(void);
static short checkPot2Test(void);

short X1;
short Y1;
short Pot1;
int i = 0;

void main(void)
{
   DDRM &= BIT0LO; //Set up pin M0 to be an input
   DDRT |= BIT3HI; //Set up pin T3 to be an output
   if (ADCInitTest() == False)
   {
      puts("ADC InitTest Failed");   
   }else 
   {
     if (Servo12_Init("xxxxxSSS") == SERVO12_OK)   
     {
        puts("ADC And Servos initialized Successfully");
        while (1)
        {
           
           
           
           X1 = checkAccelX1Test();
           //printf("X1 = %d", X1);
           AimGunX(X1);
           Y1 = checkAccelY1Test();
           //printf("Y1 = %d", Y1);
           AimGunY(Y1);
           //printf("Pot1 = %d", Pot1);
           Pot1 = checkPot1Test();
           SpinBoard(Pot1);
           
           /*
           if ((PTM & BIT0HI)!=0) //Return 1 if PORTM 0 is high, 0 if low
           {
              //ButtonDown = 0;
              puts("ButtonUp");
              PTT &= BIT3LO; // Turn off vibration motor
           }
           else
           {
              //ButtonDown = 1;
              puts("ButtonDown");
              PTT |= BIT3HI; // Turn on the vibration motor
           }
           */
           /*if (ButtonDown == 1)
           {
               PTT |= BIT3HI; // Turn on the vibration motor
           }
           else
           {
               PTT &= BIT3LO; // Turn off vibration motor
           }  */
           
           for (i = 0; i < 10000; i++)
           {
            //Do nothing
           }
           
        }
     }
   }
}



static boolean ADCInitTest(void)
{
if (ADS12_Init("AAAAAAAA") == ADS12_OK)
	{
	return True;
	}
else
	{
	puts("ADC Initialization Failed");
	return False;
	}
}

static short checkAccelX1Test(void)
{
	short AccelX1;
	AccelX1 = ADS12_ReadADPin(0);
	return AccelX1;
}

static short checkAccelY1Test(void)
{
	short AccelY1;
	AccelY1 = ADS12_ReadADPin(1);
	return AccelY1;
}

static short checkAccelZ1Test(void)
{
	short AccelZ1;
	AccelZ1 = ADS12_ReadADPin(2);
	return AccelZ1;
}

static short checkPot1Test(void)
{
	short Pot1;
	Pot1 = ADS12_ReadADPin(3);
	return Pot1;
}

static short checkAccelX2Test(void)
{
	short AccelX2;
	AccelX2 = ADS12_ReadADPin(4);
	return AccelX2;
}

static short checkAccelY2Test(void)
{
	short AccelY2;
	AccelY2 = ADS12_ReadADPin(5);
	return AccelY2;
}

static short checkAccelZ2Test(void)
{
	short AccelZ2;
	AccelZ2 = ADS12_ReadADPin(6);
	return AccelZ2;
}

static short checkPot2Test(void)
{
	short Pot2;
	Pot2 = ADS12_ReadADPin(7);
	return Pot2;
}
#endif