/****************************************************************************
 Module
         InitializeIO.c

 Revision
         1.0.1
         
 Description
         Code File for the Initialze Module. Sets I/O pins on the C32.
 Notes


 History
 When           Who	What/Why
 -------------- ---	--------
 11/13/11 12:04 bdg  Initial Cration

****************************************************************************/
#include "TicTacPinDefs.h"
#include "InitializeIO.h"
#include "ADS12.h"
#include "ServoLib.h"
#include "mc9s12c32.h"
#include "ServoLib.h"
#include <stdio.h>

void InitializeIO(void)
{
   
   //Declare modeString for AD & Servo Initialization
   //Set all pins to analog input
   //Set last 3 pins to servo control
   //end value with null character
   char ADmodeString[9] = "AAAAAAAA";
   char servoModeString[9] = "xxxxxSSS";
   
   //Set port input pins HI, leaving port output pins LO

   //Port T
   /*
   DDRT = (PagerMtrPin  |
           PhotoTransSC |
           PhotoTransRC );
           puts("Input pins enabled \n\r");
   */
   
   
   //Servos on Port T
   if ( Servo12_Init(servoModeString) == SERVO12_OK)
   {
      puts("Servo pins initialized \n\r");
   }         
 
   //Port M
   /*
   DDRM = (SHIFT_SC        |
           LED_RC          |
           LED_OutData     );
           //LED_TimerData );
   */
   
   
   //Shift Register Initialization
   /*
   #define SHIFT_SC        BIT5HI   //M5  OUTPUT - Shift Clock for 165/595
   #define PhotoTrans_RC   BIT7HI   //M2	OUTPUT - Register Clock 165
   #define PhotoTrans_Data BIT5LO   //T5  INPUT
   #define LED_RC          BI41HI   //M4  OUTPUT - Register Clock 595
   #define LED_Data        BIT2HI   //M3  OUTPUT - Serial Out to LED Timers/Squares 595
   */
   /*
   DDRM = (SHIFT_SC        |
           PhotoTrans_RC   |
           PhotoTrans_Data |
           LED_RC          |
           LED_Data);*/
           
   DDRM_DDRM5 = 1; //165/595 shift clock
   DDRM_DDRM2 = 1; //165 register clock
   DDRT_DDRT5 = 0; //165 input data
   DDRM_DDRM4 = 1; //595 register clock
   DDRM_DDRM3 = 1; //595 output data
              
   //Port AD
   if ( ADS12_Init(ADmodeString) == ADS12_OK)
   {
      printf("A/D pins initialized \n\r");
   }

   
   return;
}